Bug 1553294 - [3.9] various auto-egress IP problems
Summary: [3.9] various auto-egress IP problems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.9.0
Assignee: Ben Bennett
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On: 1551028 1553296
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 16:04 UTC by Dan Winship
Modified: 2018-06-27 18:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Bugs Consequence: When using the "static per-project egress IPs" feature, egress IPs may stop working in some circumstances if an egress IP is moved from one project to another, or from one node to another. Additionally, if the same egress IP is assigned to two different projects, or two different nodes, then it may not work correctly even after the duplicate assignment is removed. Fix: Bugs fixed Result: Static per-project egress IPs should work more reliably.
Clone Of: 1551028
Environment:
Last Closed: 2018-06-27 18:01:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2013 None None None 2018-06-27 18:02:09 UTC

Comment 1 Dan Winship 2018-03-08 16:05:37 UTC
https://github.com/openshift/origin/pull/18861

Comment 2 Ben Bennett 2018-04-13 14:23:06 UTC
Sorry, this went out with 3.9.0 and was backported.

Comment 3 Meng Bo 2018-05-02 08:22:08 UTC
Tested on build v3.9.27, the egress ip issues have been fixed.

Comment 5 errata-xmlrpc 2018-06-27 18:01:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2013


Note You need to log in before you can comment on or make changes to this bug.